List Opportunities
Lists Opportunities inside the organization and linked Property boundary. Supply externalSystem, externalObject, and externalId together to filter by a canonical External Reference. Required scope: opportunities:read.
Lists Opportunities inside the organization and linked Property boundary. Supply externalSystem, externalObject, and externalId together to filter by a canonical External Reference. Required scope: opportunities:read.
Organization API key. Format: Bearer sk_live_...
In: header
Query Parameters
Maximum records to return. Defaults to 50 and is capped at 100.
1 <= value <= 10050Opaque record cursor from the previous response meta.nextCursor value.
Sort direction. Defaults to desc.
"desc"Value in
- "asc"
- "desc"
Filter by the current Opportunity stage.
Value in
- "NEW"
- "PROPOSAL"
- "NEGOTIATION"
- "CLOSED_WON"
- "CLOSED_LOST"
Filter by Customer id.
Filter by accessible Property id.
Filter by owner Team Member id.
External Reference system filter. Supply with externalObject and externalId for exact reconciliation lookup.
External Reference object filter. Supply with externalSystem and externalId.
External Reference id filter. Supply with externalSystem and externalObject.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/opportunities"{ "data": [ {} ], "meta": { "nextCursor": "string", "hasMore": true, "requestId": "string", "version": "v1", "timestamp": "2019-08-24T14:15:22Z", "rateLimit": { "limit": 0, "remaining": 0, "reset": 0 } }}